Subject: Re: bug#38818: jidanni's mail headers not perfect?!

From: Pieter van Oostrum <[email-masked]>
Date: Mon, 06 Jan 2020 10:56:18 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Pieter van Oostrum <[email-masked]>
>> Cc: 積丹尼 Dan Jacobson <[email-masked]>,
>>   [email-masked],
>>   [email-masked],  [email-masked],  [email-masked]
>> Date: Sun, 05 Jan 2020 21:48:54 +0100
>> 
>> >> EZ> it claims to be text/plain and doesn't state any charset, but comes with a non-ASCII name.
>> >> 
>> >> Naw....
>> >> 
>> >> From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <[email-masked]>
>> >>       ^^^^^^^^^^^
>> >
>> > Why do you think this arrives intact to people's MUA?
>> 
>> What would be wrong with that? It seems to me that it conforms to RFC 2047.
>
> Sorry, I don't understand: what would be wrong with what, exactly?

OK, then I probably didn't understand you.
You asked about =?utf-8?B?56mN5Li55bC8?=
"Why do you think this arrives intact to people's MUA?"

So I thought you meant there is something wrong with that part. Apparently you did not mean that. So what did you mean? Dan seems to want that part (some CJK characters) to show up in the email, and it does for me. And that is how it should be.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]